AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Music generationSuno MJ

Extend music

Continue generating a track from a specified point; continue_at is measured in seconds.

music_id is the track ID, which you can obtain from Upload reference audio. continue_at must be greater than or equal to 0. After submission, use Retrieve a task to read the result.

POST/suno/mj/submit/extend

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with Authorization: Bearer your-api-key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json